Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Interface SelectItem

All Superinterfaces:
  OrderByItem

All Known Subinterfaces:
  Aggregate, DomainObject, Expression, PathExpression

All Known Implementing Classes:
  AbsExpression, AbstractDomainObject, AbstractPath, AllExpression, AnyExpression, ArrayExpression, AverageExpression, BinaryOperatorExpression, ConcatExpression, ConstantExpression, CountExpression, CurrentTimeExpression, DistinctExpression, DividedByExpression, ElseExpression, EntryExpression, ExpressionImpl, FetchPath, IndexExpression, JoinPath, KeyExpression, LengthExpression, LiteralExpression, LocateExpression, LowerExpression, MaxExpression, MinExpression, MinusExpression, ModExpression, NavigationPath, NewInstance, OperatorPath, ParameterExpression, PlusExpression, QueryDefinitionImpl, QueryExpression, RangeExpression, RootPath, SizeExpression, SomeExpression, SquareRootExpression, SubStringExpression, SumExpression, TimesExpression, TrimExpression, TypeExpression, UnaryMinusExpression, UnaryOperatorExpression, UpperExpression, ValueExpression, VarArgsExpression

    public interface SelectItem

extends OrderByItem

SelectItem instances are used in specifying the query's select list.

The methods of this interface are used to define arguments that can be passed to the orderBy method for use in ordering selected items of the query result.

Method Summary
`OrderByItem` | `asc()` Return an OrderByItem referencing the SelectItem and specifying ascending ordering.
`OrderByItem` | `desc()` Return an OrderByItem referencing the SelectItem and specifying descending ordering.

Method Detail

### asc

    OrderByItem asc()

  Return an OrderByItem referencing the SelectItem and specifying ascending ordering. The SelectItem must correspond to an orderable value.

  Returns:
    order-by item

### desc

    OrderByItem desc()

  Return an OrderByItem referencing the SelectItem and specifying descending ordering. The SelectItem must correspond to an orderable value.

  Returns:
    order-by item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.